function B=triu(A,K)
% FUNCTION triu
% -- B=triu(A)
%      With A a N-by-m-by-n amat object, returns the N-by-m-by-n amat object
%      R such that, for all k in 1:N, R(k) is the matrix formed by extracting 
%      upper triangular part of A(k), and and setting all other elements to 
%      zero.
%
% -- B=triu(A,K)
%     If the value of K is nonzero integer, the selection of elements of each 
%     A(k) matrix starts at an offset of K diagonals above or below the main
%     diagonal; above for positive K and below for negative K.
%
  if nargin==1, K=0;end
  B=amat(A);
  for i=1:A.nr
    j=max(1,i+K):A.nc;
    B.values(:,i,j)=A.values(:,i,j);
  end
end
